function BlackMarketManager:equipped_secondary()
	local forced_secondary = self:forced_secondary()

	if forced_secondary then
		return forced_secondary
	end

	if Global.blackmarket_manager.crafted_items.secondaries then

		for _, data in pairs(Global.blackmarket_manager.crafted_items.secondaries) do
			if data.equipped then
				return data
			end
		end

		local _, data = next(Global.blackmarket_manager.crafted_items.secondaries)
		if data then
			data.equipped = true
			return data
		end

	end

	self:aquire_default_weapons()

	return Global.blackmarket_manager.crafted_items.secondaries[1]
end

function BlackMarketManager:equipped_primary()
	local forced_primary = self:forced_primary()

	if forced_primary then
		return forced_primary
	end

	if Global.blackmarket_manager.crafted_items.primaries then

		for _, data in pairs(Global.blackmarket_manager.crafted_items.primaries) do
			if data.equipped then
				return data
			end
		end

		local _, data = next(Global.blackmarket_manager.crafted_items.primaries)
		if data then
			data.equipped = true
			return data
		end

	end

	self:aquire_default_weapons()

	return Global.blackmarket_manager.crafted_items.primaries[1]
end